import java.util.*;
import java.io.*;

/* Judge Solution by Jesus Ramos, Knight Moves, Division A
 * Explanation : Simple Breadth-First Search Problem, generate all the moves you can be at the current step
 * if that list of moves contains the destination then you are done, else generate the next set of moves.
 * In this solution since the number of total moves is pretty small, all moves are stored in a Set of moves
 * instead of seperating them into a seperate data structure.
 */

public class KnightMoves
{
	public static String init, dest, initNum, destNum;
	public static HashSet<String> moves;

	public static void main(String[] args) throws Exception
	{
		Scanner in = new Scanner(System.in);
		//PrintWriter out = new PrintWriter("knights.out");
		while (in.hasNextLine())
		{
			moves = new HashSet<String>();
			String[] k = in.nextLine().split(" ");
			if( k[0].length() == 0 )
				return;
				
			init = k[0];
			dest = k[1];
			initNum = toNum(init);
			destNum = toNum(dest);
			moves.add(initNum);
			int numMoves = 0;
			while (!moves.contains(destNum))
			{
				numMoves++;
				HashSet<String> newMoves = new HashSet<String>();
				for (String a : moves)
					newMoves.addAll(genMoves(a));
				moves = newMoves;
			}
			System.out.println("To get from " + init +" to " + dest + " takes " + numMoves + " knight moves.");
		}
		//out.close();
	}
	public static boolean inBounds(int x, int y)
	{
		return (x>0 && x<=8 && y>0 && y<=8);
	}
	public static String toNum(String a)
	{
		String ans = "";
		ans += ((a.charAt(0)) - 'a') + 1;
		ans += Integer.parseInt(""+a.charAt(1));
		return ans;
	}
	public static HashSet<String> genMoves(String a)
	{
		HashSet<String> m = new HashSet<String>();
		int x = Integer.parseInt(a.charAt(0)+"");
		int y = Integer.parseInt(a.charAt(1)+"");
		//8 possible moves for each spot
		if (inBounds(x+2,y+1)) m.add(""+(x+2)+(y+1));
		if (inBounds(x+2,y-1)) m.add(""+(x+2)+(y-1));
		if (inBounds(x-2,y-1)) m.add(""+(x-2)+(y-1));
		if (inBounds(x-2,y+1)) m.add(""+(x-2)+(y+1));
		if (inBounds(x+1,y+2)) m.add(""+(x+1)+(y+2));
		if (inBounds(x-1,y+2)) m.add(""+(x-1)+(y+2));
		if (inBounds(x+1,y-2)) m.add(""+(x+1)+(y-2));
		if (inBounds(x-1,y-2)) m.add(""+(x-1)+(y-2));
		return m;
	}
}
