//Loansome Car Buyer Judge Solution By Samuel Barrios

/*
 * The basic approach to this problem is to analyze one case at a time, and
 * for every case, calculate the loan amount and car value at the end of
 * each month. Before calculating this value, make sure the depreciation rate
 * is correct for that month. As soon as the loan amount is less than the car
 * value, print out the number of months it took.
 */

import java.io.*;
import java.util.*;

public class CarBuyer
{
    public static void main(String[] args) throws IOException
    {
        Scanner input = new Scanner(System.in);
        Scanner lineScanner;
        String line = input.nextLine();
        //PrintWriter out = new PrintWriter(System.out);

        while (line.charAt(0) != '-')
        {
            //Parse the first line of every case
            lineScanner = new Scanner(line);
            int loanMonths = lineScanner.nextInt();
            double downPayment = lineScanner.nextDouble();
            double loanAmount = lineScanner.nextDouble();
            int rateChanges = lineScanner.nextInt();
            double monthlyPayment = loanAmount / loanMonths;

            //Store the months where the rate is changed
            ArrayList<String> changes = new ArrayList<String>(rateChanges);
            for (int i = 0; i < rateChanges; i++)
                changes.add(input.nextLine());

            //Get immediate depreciation
            lineScanner = new Scanner( changes.remove(0) );
            lineScanner.nextInt(); //month = 0
            double rate = lineScanner.nextDouble();
            
            //Get the next depreciation change if it exists
            int nextMonth = -1;
            double nextRate = -1;
            if ( changes.size() > 0)
            {
                lineScanner = new Scanner( changes.remove(0) );
                nextMonth = lineScanner.nextInt();
                nextRate = lineScanner.nextDouble();
            }
            
            //Execute calculations, one month at a time.
            double carValue = loanAmount + downPayment;
            int numbOfMonths = 0;
            for ( ; numbOfMonths <= loanMonths; numbOfMonths++)
            {
                carValue -= carValue*rate; //Depreciate car
                if (numbOfMonths > 0)
                    loanAmount -= monthlyPayment; //Make monthly payment

                if (loanAmount < carValue)
                    break;
                
                //If next month has a rate change
                if (numbOfMonths + 1 == nextMonth)
                {
                    rate = nextRate;
                    
                    if (changes.size() > 0)
                    {
                        lineScanner = new Scanner( changes.remove(0) );
                        nextMonth = lineScanner.nextInt();
                        nextRate = lineScanner.nextDouble();
                    }
                }
            }
        
            //Show output
            if (numbOfMonths == 1)
                System.out.println("1 month");
            else
                System.out.println(numbOfMonths + " months");

            line = input.nextLine(); //Get next loan case
        }
        //out.close();
    }
}