import java.io.*;
import java.util.*;

/* Judge Solution by Jesus Ramos, Pythons, Division B
 * the easiest way to solve this problem is to use the built in API sort for an array or arraylist
 * by simply overriding the compareTo() function and implementing Comparable you can make this list sort itself
 * just by making the compareTo() follow the same rules as described in the problem
 * You could also attempt to write your own selection sort or any other kind of sort and it will work the same
 * in the time allotted
 */


public class Pythons
{
	static ArrayList<Snake> snakes; // I'm using an ArrayList for simplicity but an array works the same
	
	public static void main(String[] args) throws Exception
	{
		Scanner in = new Scanner(System.in);
		//Scanner in = new Scanner(new FileReader("pythons.in"));
		//PrintWriter out = new PrintWriter("pythons.out");
		int cases = Integer.parseInt(in.nextLine());
		for (int i=0; i<cases; i++)
		{
			snakes = new ArrayList<Snake>();
			int numSnakes = Integer.parseInt(in.nextLine());
			for (int j=0; j<numSnakes; j++)
			{
				String[] s = in.nextLine().split(" ");
				int weight = Integer.parseInt(s[0]);
				String date = s[1];
				snakes.add(new Snake(weight, date));
			}
			Collections.sort(snakes);
			for (Snake s : snakes)
				System.out.println(s);
				
			System.out.println();
		}
		//out.close();
	}
}
class Snake implements Comparable<Snake>
{
	public int month, day, year, weight;
	String date;
	
	public Snake(int w, String d)
	{
		weight = w;
		date = d;
		parseDate(date);
	}
	void parseDate(String s)
	{
		String[] p = s.split("/");
		month = Integer.parseInt(p[0]);
		day = Integer.parseInt(p[1]);
		year = Integer.parseInt(p[2]);
	}
    // sorting significance is weight, year, month, day
	public int compareTo(Snake s)
	{
		int c = this.weight - s.weight;
		if (c!=0)
			return c;
		c = this.year - s.year;
		if (c!=0)
			return c;
		c = this.month - s.month;
		if (c!=0)
			return c;
		c = this.day - s.day;
		return c;
	}
	public String toString()
	{
		return weight + " " + date;
	}
}
